#!/usr/bin/make -f

export PYBUILD_NAME=djangorestframework_api_key

%:
ifeq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
	dh $@ --with python3,mkdocs --buildsystem=pybuild
else
	dh $@ --with python3 --buildsystem=pybuild
endif

override_dh_auto_build:
	dh_auto_build
ifeq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
	PYTHONPATH=. http_proxy='127.0.0.1:9' mkdocs build --clean --site-dir build/html
endif

override_dh_installdocs:
ifeq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
	dh_installdocs --doc-main-package=python3-djangorestframework-api-key --package=python-djangorestframework-api-key-doc
endif
	dh_installdocs --package=python3-djangorestframework-api-key

override_dh_auto_test:
	# Currently does not work
	# Looks like it needs a working Django database
